@import './common.css';

:root {
  --main-gradient-from: rgba(26, 45, 115, 1);
  --main-gradient-via: rgba(45, 70, 209, 1);
  --main-gradient-to: rgba(64, 114, 202, 1);
  --main-gradient: linear-gradient(
    180deg,
    var(--main-gradient-from) 16%,
    var(--main-gradient-via) 63%,
    var(--main-gradient-to)
  );

  --primary-400: rgb(50 58 202);
  --primary-500: rgb(56 102 229);
  --primary-600: rgb(34 35 58);

  --primary: var(--main-gradient);
  --primary-hover: linear-gradient(
    180deg,
    #192c76 16%,
    #2b45d4 63%,
    #6b8cc7 100%
  );
  --primary-border: linear-gradient(
      16deg,
      rgba(var(--hex-border), 0.1) 0%,
      rgba(var(--hex-border), 0.05) 12%,
      rgba(var(--hex-border), 0) 24%,
      rgba(var(--hex-border), 0) 78%,
      rgba(var(--hex-border), 0.05) 89%,
      rgba(var(--hex-border), 0.1) 100%
    )
    border-box;

  --secondary: linear-gradient(
    180deg,
    rgba(74, 75, 79, 0.6) 0%,
    rgba(17, 17, 17, 0.1) 20%,
    rgba(74, 75, 79, 0.6) 100%
  );
  --secondary-hover:
    linear-gradient(
      180deg,
      rgba(74, 75, 79, 0.6) 0%,
      rgba(17, 17, 17, 0.1) 20%,
      rgba(74, 75, 79, 0.6) 100%
    ),
    linear-gradient(0deg, rgba(255, 255, 255, 0.05), rgba(255, 255, 255, 0.05));
  --secondary-border: rgba(var(--hex-border), 0.05) border-box;

  --register:
    radial-gradient(
      85% 100% at 100% 100%,
      rgba(21, 115, 246, 0.5) 0%,
      rgba(44, 110, 208, 0) 100%
    ),
    radial-gradient(
      90% 120% at -20% 20%,
      rgba(181, 238, 251, 1) 8%,
      rgba(49, 123, 248, 1) 43%,
      rgba(49, 123, 248, 0) 71%
    ),
    radial-gradient(
      100% 100% at 125% 0%,
      rgba(16, 35, 176, 1) 41%,
      rgba(15, 18, 43, 0) 87%
    ),
    radial-gradient(
      55% 40% at center 0%,
      rgba(19, 50, 222, 1) 27%,
      rgba(12, 29, 72, 0.51) 68%,
      rgba(14, 24, 49, 0) 100%
    ),
    linear-gradient(rgba(7, 15, 41, 1));
  --register-hover:
    radial-gradient(
      85% 100% at 100% 100%,
      rgba(68, 143, 248, 1) 0%,
      rgba(87, 140, 219, 0) 100%
    ),
    radial-gradient(
      90% 120% at -20% 20%,
      rgba(197, 242, 252, 1) 8%,
      rgba(68, 135, 249, 1) 43%,
      rgba(58, 129, 248, 0) 71%
    ),
    radial-gradient(
      100% 100% at 125% 0%,
      rgba(20, 45, 224, 1) 41%,
      rgba(28, 33, 79, 0) 87%
    ),
    radial-gradient(
      55% 40% at center 0%,
      rgba(39, 69, 236, 1) 27%,
      rgba(17, 41, 101, 0.51) 68%,
      rgba(14, 24, 49, 0) 100%
    ),
    linear-gradient(rgba(5, 23, 87, 1));
  --register-border: rgba(var(--hex-border), 0.24);

  --login: linear-gradient(
    229deg,
    rgba(22, 22, 61, 0.75) -21.36%,
    rgba(10, 41, 170, 0.75) 103.96%
  );
  --login-hover: linear-gradient(
    229deg,
    rgba(29, 29, 83, 0.75) -21.36%,
    rgba(16, 50, 188, 0.75) 103.96%
  );
  --login-border-gradient-stops:
    rgba(255, 255, 255, 0.6) 0%, rgba(10, 10, 10, 0) 30%;
  --login-border:
    linear-gradient(-138deg, var(--login-border-gradient-stops)) border-box,
    linear-gradient(54deg, var(--login-border-gradient-stops)) border-box;

  --hex-border: 255, 255, 255;
  --hex-natural-white: 255, 255, 255;
  --hex-natural-black: 0, 0, 0;
  --hex-danger: 223, 32, 32;
  --hex-success: 29, 175, 38;
  --hex-warning: 255, 168, 0;
  --hex-market-open: 218, 255, 37;
  --hex-market-close: 245, 93, 59;

  --color-natural-black: rgb(var(--hex-natural-black));
  --color-natural-white: rgb(var(--hex-natural-white));

  --color-danger: rgb(var(--hex-danger));
  --color-success: rgb(var(--hex-success));
  --color-warning: rgb(var(--hex-warning));
  --color-market-open: rgb(var(--hex-market-open));
  --color-market-close: rgb(var(--hex-market-close));

  --footer-seo-text: rgba(var(--hex-natural-white), 0.5);

  --background-base: rgba(18, 19, 23, 1);
  --background-400: rgb(15 16 25);
  --background-500: rgb(24 24 33);
  --background-600: rgb(33 34 48);

  --foreground: rgb(var(--hex-natural-white));
  --muted-foreground: rgba(var(--hex-natural-white), 0.5);

  --border: rgba(var(--hex-border), 0.1);

  --popover: var(--input);
  --popover-border: transparent;

  --accent: var(--primary);
  --accent-foreground: var(--foreground);

  --container: var(--background2);
  --container-border: var(--border);
  --container-payment: var(--background-600);

  --switch-border: rgba(var(--hex-border), 0.05);
  --switch-unchecked-bg: rgba(var(--hex-natural-white), 0.1);

  --badge-fail-bg: rgba(var(--hex-danger), 0.2);
  --badge-fail-text: var(--color-danger);
  --badge-warning-bg: rgba(var(--hex-warning), 0.2);
  --badge-warning-text: var(--color-warning);
  --badge-success-bg: rgba(var(--hex-success), 0.2);

  --badge-success-text: var(--color-success);
  --badge-canceled-bg: rgba(var(--hex-natural-white), 0.1);
  --badge-canceled-text: var(--color-natural-white);
  --badge-market-open-bg: var(--color-market-open);
  --badge-market-open-text: var(--color-natural-black);
  --badge-market-close-bg: var(--color-market-close);
  --badge-market-close-text: var(--color-natural-black);
  --badge-rtp-bg: rgba(var(--hex-natural-white), 0.1);
  --badge-rtp-text: var(--color-natural-white);

  --accordion-container-bg: var(--background-500);
  --accordion-trigger-bg: rgba(var(--hex-natural-white), 0.05);
  --accordion-trigger-text: var(--color-natural-white);
  --accordion-content-text: rgba(var(--hex-natural-white), 0.5);

  --footer-gradient-mid-color: rgba(5, 29, 47, 0.2);
  --footer-seo-open-close: rgb(var(--hex-natural-white));
  --footer-gradient: linear-gradient(
    to top,
    var(--background-500),
    var(--footer-gradient-mid-color) 70%,
    transparent
  );

  --calendar-bg: var(--background-500);
  --calendar-range: var(--primary-600);
  --calendar-text: var(--color-natural-white);
  --calendar-week: var(--primary-500);
  --calendar-outside: rgba(var(--hex-natural-white), 0.5);

  --textarea: rgba(var(--hex-natural-black), 0.4);
  --textarea-border: rgba(var(--hex-border), 0.1);

  --select: var(--background-600);
  --select-border: rgba(var(--hex-border), 0.05);

  --table-seperator: rgba(var(--hex-natural-white), 0.1);

  --select: var(--background-600);

  --table-seperator: rgba(var(--hex-natural-white), 0.1);

  --marquee-from: rgb(10 41 170);
  --marquee-to: rgba(22, 22, 61, 0);
  --marquee-stroke-from: rgb(43 67 158);
  --marquee-stroke-to: rgba(109, 123, 171, 0);
  --marquee-text: rgba(178, 193, 246, 1);

  --unread-notification: rgb(244, 63, 3);

  --bet-card-base-default: var(--background-500);
  --bet-card-base-lighter: var(--background-600);
  --bet-card-base-border: rgba(var(--hex-natural-white), 0.05);

  --timer-segment: rgba(var(--hex-natural-white), 0.1);

  --prize-info-modal-bg: var(--background-500);

  --container-mobile-navbar: linear-gradient(
    to bottom,
    rgba(51, 52, 76, 1),
    rgba(22, 23, 29, 1)
  );

  --dialog-content: var(--background-500);

  --shio-icon: var(--primary-500);

  --hex-pin-hover: 211, 242, 255;
  
  --pin-bg: var(--background-600);
  --pin-bg-active: var(--secondary);
  --pin-border-active: rgba(var(--hex-natural-white), 0.05);
  --pin-hover: rgba(var(--hex-pin-hover), 0.1);

  --promo-card: var(--background-600);

  --register-login-heading: var(--primary-500);
  --register-login-bg: var(--background-500);
  --register-payment-information-bg: var(--background-600);
  --register-payment-category-bg: rgba(var(--hex-natural-black), 0.4);

  --profile: linear-gradient(180deg, #c8d3e8 63.18%, #8592a9 91.81%);
  --profile-icon: rgba(35, 35, 35, 1);

  --progress-bar: rgba(var(--hex-natural-black), 0.3);
  --progress-bar-border: rgba(var(--hex-border), 0.1);
  --progress-ongoing: rgba(var(--hex-warning), 0.2);
  --progress-ongoing-text: rgb(var(--hex-warning));
  --progress-done: rgba(var(--hex-success), 0.2);
  --progress-done-text: rgb(var(--hex-success));

  --banner-info-link-border: linear-gradient(
    90deg,
    #55688e -5.75%,
    rgba(109, 130, 171, 0) 40.49%
  );
  --banner-info-link: radial-gradient(
    97.36% 10926.6% at 0% 78.12%,
    #292d35 0%,
    #0c0c0e 100%
  );

  --profile: linear-gradient(180deg, #c8d3e8 63.18%, #8592a9 91.81%);
  --profile-icon: rgba(35, 35, 35, 1);

  --deposit-withdraw-ticket-cutout: var(--background-400);
  --deposit-promo-bg: var(--background-500);
  --selected-deposit-promo: var(--primary-500);

  --tab-list: rgba(var(--hex-natural-white), 0.05);

  --deposit-button-main-color: #fff;
  --deposit-button-main-box-shadow:
    0 -1px 2px 0 rgba(220, 233, 255, 0.75) inset,
    0 0 4px 0 rgba(221, 233, 255, 0.75) inset;
  --deposit-button-main-background:
    radial-gradient(
      63.39% 25.17% at 50% 78.04%,
      #2f63fe 0%,
      rgba(83, 114, 254, 0) 100%
    ),
    linear-gradient(180deg, #1a53ff 23.17%, #355afd 99.64%);
  --deposit-button-main-background-hover:
    linear-gradient(
      0deg,
      rgba(255, 255, 255, 0.1) 0%,
      rgba(255, 255, 255, 0.1) 100%
    ),
    radial-gradient(
      63.39% 25.17% at 50% 78.04%,
      #2f63fe 0%,
      rgba(83, 114, 254, 0) 100%
    ),
    linear-gradient(180deg, #1a53ff 23.17%, #355afd 99.64%);
  --deposit-button-plus-color: #fff;
  --deposit-button-plus-filter-id: url(#filter0_d_29539_755815);
  --deposit-button-bottom-background: linear-gradient(
    90deg,
    #395abc 0%,
    #5672c6 19.97%,
    #183fb2 34.93%,
    #183fb2 65.4%,
    #5672c6 78.59%,
    #395abc 100%
  );
  --deposit-button-bottom-box-shadow: 0 2px 8px 0 #193075;
  --deposit-button-bottom-box-shadow-hover: 0 -1px 10px 2px
    rgba(25, 48, 117, 0.24);
  --deposit-button-bottom-box-shadow-active: 0 -3px 0 3px
    rgba(49, 101, 255, 0.3);

  --footer-gradient: linear-gradient(180deg, #33344C 0%, #16171D 100%);

  --download-apk-background: radial-gradient(69.79% 113.82% at 92.84% 86.18%,rgba(37,71,184,.5) 0%,transparent 100%),linear-gradient(93deg,rgba(93,146,245,.5) -4.35%,rgba(28,36,72,.5) 17.62%,rgba(25,26,28,.5) 35.28%,rgba(18,19,20,.5) 68.96%,rgba(23,67,179,.5));
  --download-apk-shadow: inset 1px 0px 1px #6085b1,inset -1px 0 1px #292929,inset 0px 1px 0px #373737,inset 0px -1px 0px #436fa4,0px 4px 8px 0px rgba(0,0,0,.65);

  --shadow-menu-navbar: var(--primary-500);

  --category-games-menu-bg-active: linear-gradient(180deg, rgba(99, 150, 239, 0.00) 0.34%, rgba(38, 109, 232, 0.18) 64.44%, #1563DE 91.18%, #112567 100.47%), linear-gradient(106deg, #6EAFF4 0.5%, rgba(38, 40, 53, 0.80) 41.68%, rgba(40, 48, 51, 0.04) 66.99%, #0F3778 100.19%);

  --card-togel-hot-bg: linear-gradient(90deg, #0D0B65 0%, #140725 100%);
  --card-togel-hot-border: linear-gradient(90deg, rgba(34, 67, 157, 1) 0%, rgba(49, 16, 235, 1) 100%);
  --card-togel-default-bg: radial-gradient(196.81% 413.46% at -35.4% -126.92%, #334F98 33%, #221B43 55%, #0F1019 65%, #1C1650 80%);
  --card-togel-default-border: linear-gradient(126deg, rgba(75, 65, 141, 1) 21%, rgba(74, 78, 114, 1) 42%, rgba(23, 22, 40, 1) 81%, rgba(99, 86, 181, 1) 100%);

  --popover-header: linear-gradient(52deg, #272F4F -6.67%, #1A1E2C 48.53%, #0A0E14 94.75%);;
  --popover-default-border: rgba(var(--hex-border), 0.05);

  --hex-footer-gradient-container-light: rgba(51, 52, 76, 1);
  --hex-footer-gradient-container-dark: rgba(22, 23, 29, 1);

  --ticket-wallet: var(--background-600);
  --ticket-devider: rgba(var(--hex-natural-white), 0.1);
  --ticket-wallet-border: rgba(0, 0, 0, 1);

  --banner-button: radial-gradient(10926.6% 97.36% at 0% 78.12%, #0A29AA 0%, transparent 100%);
  --banner-border-stop: #2B439E;
}

body {
  background-color: var(--background-400);
}

.register-button::before,
.register-button::after {
  display: block;
  content: '' !important;
  background-repeat: no-repeat;
}

.register-button::after {
  position: absolute;
  background-image: var(--register-overlay);
  background-size: 100% 38px;
  height: 100%;
  width: 100%;
  z-index: 1;
}

.register-button::before {
  position: absolute;
  background-image: var(--register-prop);
  background-size: cover;
  height: 38px;
  width: 38px;
  z-index: 1;
  left: -5%;
  bottom: -15%;
}

.wrapper-label-input {
  display: flex;
  flex-direction: column;
  row-gap: var(--spacing-sm);

  label {
    color: var(--muted-foreground);
  }
}

.radio-indicator {
  width: 10px;
  height: 10px;
  border-radius: 100%;
  border: 1px solid var(--background-600);
  background: var(--color-natural-white);
}

.collapsible-content-wrapper {
  position: relative;
}

.footer-seo-gradient::before {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100px;
  background: var(--footer-gradient);
  z-index: 1;
  pointer-events: none;
}

.calendar-dropdown option {
  background-color: var(--background-600);
}
